<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/statwindow.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">statwindow.h</div></div>
</div><!--header-->
<div class="contents">
<a href="statwindow_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef STATWINDOW_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define STATWINDOW_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;QMainWindow&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &lt;QComboBox&gt;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">#include &lt;QLayout&gt;</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="preprocessor">#include &lt;QScrollArea&gt;</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="preprocessor">#include &quot;<a class="code" href="dataframe_8h.html">dataframe.h</a>&quot;</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span> </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespace_ui.html">Ui</a> {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="keyword">class </span><a class="code hl_class" href="class_stat_window.html">StatWindow</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>}</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="foldopen" id="foldopen00016" data-start="{" data-end="};">
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="class_stat_window.html">   16</a></span><span class="keyword">class </span><a class="code hl_class" href="class_stat_window.html">StatWindow</a> : <span class="keyword">public</span> QMainWindow</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    Q_OBJECT</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="keyword">public</span>:</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="keyword">explicit</span> <a class="code hl_function" href="class_stat_window.html#a296cc088f28752747d1507a7d7ab9dbf">StatWindow</a>(QWidget *parent = <span class="keyword">nullptr</span>, QLayout *parentLayout = <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <a class="code hl_function" href="class_stat_window.html#a1756c5a60f9ce4db4c44f050a7626ef5">~StatWindow</a>();</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="class_stat_window.html#a21e5c765180fb38c7ed177c8fe6b5bcd">   23</a></span>    <a class="code hl_class" href="class_data_frame.html">DataFrame</a> <a class="code hl_variable" href="class_stat_window.html#a21e5c765180fb38c7ed177c8fe6b5bcd">data</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="keyword">public</span> slots:</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_stat_window.html#a4116c3d61aaebe383b5539df96976423">on_cbColumn_currentTextChanged</a>(<span class="keyword">const</span> QString &amp;arg1);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_stat_window.html#a3ed12ef9f9a5d95b2387f81a209ce42d">on_btnMake_clicked</a>();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="keyword">private</span>:</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="class_stat_window.html#a2f6585a6864ce8e97d1c13a1fd79eed9">   30</a></span>    Ui::StatWindow *<a class="code hl_variable" href="class_stat_window.html#a2f6585a6864ce8e97d1c13a1fd79eed9">ui</a>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="class_stat_window.html#a124dcdda04616b22c732dacea1565c4d">   31</a></span>    QComboBox *<a class="code hl_variable" href="class_stat_window.html#a124dcdda04616b22c732dacea1565c4d">_cbSender</a>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="class_stat_window.html#a6d8ee76aa81cfbe7e666b06a35ebf82a">   32</a></span>    QLayout *<a class="code hl_variable" href="class_stat_window.html#a6d8ee76aa81cfbe7e666b06a35ebf82a">_parrentLayout</a>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="class_stat_window.html#a7e5a9704b02c1e416b07435b174fb43a">   33</a></span>    QWidget *<a class="code hl_variable" href="class_stat_window.html#a7e5a9704b02c1e416b07435b174fb43a">_targetParent</a>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>};</div>
</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">#endif </span><span class="comment">// STATWINDOW_H</span></div>
<div class="ttc" id="aclass_data_frame_html"><div class="ttname"><a href="class_data_frame.html">DataFrame</a></div><div class="ttdef"><b>Definition</b> dataframe.h:38</div></div>
<div class="ttc" id="aclass_stat_window_html"><div class="ttname"><a href="class_stat_window.html">StatWindow</a></div><div class="ttdef"><b>Definition</b> statwindow.h:17</div></div>
<div class="ttc" id="aclass_stat_window_html_a124dcdda04616b22c732dacea1565c4d"><div class="ttname"><a href="class_stat_window.html#a124dcdda04616b22c732dacea1565c4d">StatWindow::_cbSender</a></div><div class="ttdeci">QComboBox * _cbSender</div><div class="ttdef"><b>Definition</b> statwindow.h:31</div></div>
<div class="ttc" id="aclass_stat_window_html_a1756c5a60f9ce4db4c44f050a7626ef5"><div class="ttname"><a href="class_stat_window.html#a1756c5a60f9ce4db4c44f050a7626ef5">StatWindow::~StatWindow</a></div><div class="ttdeci">~StatWindow()</div><div class="ttdef"><b>Definition</b> statwindow.cpp:50</div></div>
<div class="ttc" id="aclass_stat_window_html_a21e5c765180fb38c7ed177c8fe6b5bcd"><div class="ttname"><a href="class_stat_window.html#a21e5c765180fb38c7ed177c8fe6b5bcd">StatWindow::data</a></div><div class="ttdeci">DataFrame data</div><div class="ttdef"><b>Definition</b> statwindow.h:23</div></div>
<div class="ttc" id="aclass_stat_window_html_a296cc088f28752747d1507a7d7ab9dbf"><div class="ttname"><a href="class_stat_window.html#a296cc088f28752747d1507a7d7ab9dbf">StatWindow::StatWindow</a></div><div class="ttdeci">StatWindow(QWidget *parent=nullptr, QLayout *parentLayout=nullptr)</div><div class="ttdef"><b>Definition</b> statwindow.cpp:13</div></div>
<div class="ttc" id="aclass_stat_window_html_a2f6585a6864ce8e97d1c13a1fd79eed9"><div class="ttname"><a href="class_stat_window.html#a2f6585a6864ce8e97d1c13a1fd79eed9">StatWindow::ui</a></div><div class="ttdeci">Ui::StatWindow * ui</div><div class="ttdef"><b>Definition</b> statwindow.h:30</div></div>
<div class="ttc" id="aclass_stat_window_html_a3ed12ef9f9a5d95b2387f81a209ce42d"><div class="ttname"><a href="class_stat_window.html#a3ed12ef9f9a5d95b2387f81a209ce42d">StatWindow::on_btnMake_clicked</a></div><div class="ttdeci">void on_btnMake_clicked()</div><div class="ttdef"><b>Definition</b> statwindow.cpp:69</div></div>
<div class="ttc" id="aclass_stat_window_html_a4116c3d61aaebe383b5539df96976423"><div class="ttname"><a href="class_stat_window.html#a4116c3d61aaebe383b5539df96976423">StatWindow::on_cbColumn_currentTextChanged</a></div><div class="ttdeci">void on_cbColumn_currentTextChanged(const QString &amp;arg1)</div><div class="ttdef"><b>Definition</b> statwindow.cpp:56</div></div>
<div class="ttc" id="aclass_stat_window_html_a6d8ee76aa81cfbe7e666b06a35ebf82a"><div class="ttname"><a href="class_stat_window.html#a6d8ee76aa81cfbe7e666b06a35ebf82a">StatWindow::_parrentLayout</a></div><div class="ttdeci">QLayout * _parrentLayout</div><div class="ttdef"><b>Definition</b> statwindow.h:32</div></div>
<div class="ttc" id="aclass_stat_window_html_a7e5a9704b02c1e416b07435b174fb43a"><div class="ttname"><a href="class_stat_window.html#a7e5a9704b02c1e416b07435b174fb43a">StatWindow::_targetParent</a></div><div class="ttdeci">QWidget * _targetParent</div><div class="ttdef"><b>Definition</b> statwindow.h:33</div></div>
<div class="ttc" id="adataframe_8h_html"><div class="ttname"><a href="dataframe_8h.html">dataframe.h</a></div></div>
<div class="ttc" id="anamespace_ui_html"><div class="ttname"><a href="namespace_ui.html">Ui</a></div><div class="ttdef"><b>Definition</b> dynamicui.h:13</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
